import { ConfigStreamInfoMetadata } from './ConfigStreamInfoMetadata';
import { BaseModel } from './BaseModel';
import { MediaType } from '../../models/IStream';
export declare class ConfigStreamInfo extends BaseModel {
    readonly mediaId: string;
    readonly mediaType: MediaType;
    readonly host: string;
    readonly file: string;
    readonly videoFormat: string;
    readonly videoEncodeId: string;
    readonly videoEncodeQuality: string;
    readonly token: string;
    readonly metadata: ConfigStreamInfoMetadata;
}
