import { IStream, MediaType } from "../../models/IStream";
import { ConfigStreamInfo } from "./ConfigStreamInfo";
export declare class Stream implements IStream {
    private _stream;
    constructor(stream: ConfigStreamInfo);
    getType(): MediaType;
    getFile(): string;
    getHost(): string | undefined;
    getDuration(): number;
    getWidth(): number;
    getHeight(): number;
    getEncodeId(): string;
}
