import { ConfigStreamInfo } from './ConfigStreamInfo';
import { ConfigMediaMetadata } from './ConfigMediaMetadata';
import { ConfigMediaSubtitles } from './ConfigMediaSubtitles';
import { SubtitleModel } from '../SubtitleResolver';
import { BaseModel } from './BaseModel';
import { ConfigPreloadConfig } from './ConfigPreloadConfig';
import { AdSlot } from './AdSlot';
export declare class ConfigPreload extends BaseModel {
    readonly streamInfo: ConfigStreamInfo;
    readonly mediaMetadata: ConfigMediaMetadata;
    readonly subtitles: ConfigMediaSubtitles | undefined;
    readonly subtitle: SubtitleModel | undefined;
    readonly config: ConfigPreloadConfig;
    readonly adSlots: AdSlot[];
}
