import { IHttpClient, BodyType } from "../../models/http/IHttpClient";
import { IOptions } from "../../models/http/IOptions";
import { IResponse } from "../../models/http/IResponse";
import { Container } from "../../utils/container";
export declare class BrowserHttpClient implements IHttpClient {
    private _container;
    constructor(container: Container);
    get(url: string, options?: IOptions): Promise<IResponse<string>>;
    post(url: string, body?: BodyType, options?: IOptions | undefined): Promise<IResponse<string>>;
    method(method: string, url: string, body?: BodyType, options?: IOptions): Promise<IResponse<string>>;
}
